Bug 203687 - [MAINTAINER] games/fairymax: Update to 4.8V.9 (2015-09-29)
Summary: [MAINTAINER] games/fairymax: Update to 4.8V.9 (2015-09-29)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-10-10 20:26 UTC by Kalten
Modified: 2015-10-26 20:35 UTC (History)
0 users

See Also:


Attachments
games/fairymax: update to 4.8V.9 patch (3.03 KB, patch)
2015-10-10 20:26 UTC, Kalten
koobs: maintainer-approval+
Details | Diff
log: make.* output (37.52 KB, text/plain)
2015-10-10 20:29 UTC, Kalten
no flags Details
log: poudriere testport output (47.08 KB, text/plain)
2015-10-10 20:30 UTC, Kalten
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kalten 2015-10-10 20:26:15 UTC
Created attachment 161887 [details]
games/fairymax: update to 4.8V.9 patch

H.G.Muller has released a new version (4.8V.9) eleven days ago
http://hgm.nubati.net/cgi-bin/gitweb.cgi/fairymax.git

* This attachment brings the new version into our portstree.
* The plugins/*-files are intalled as well now (following the directory
  structure games/gnuchess uses).

The output of »portlint -AC« with comments:
------------------------------------------------------------------------
> WARN: Makefile: for new port, make $FreeBSD$ tag in comment section
> empty, to make SVN happy.
It is not a new port.

> WARN: Makefile: Consider defining LICENSE.
Well: difficult: see his file »copyright«. I do not know what to enter in
the Makefile. (same as at times of bug #193544)

> 0 fatal errors and 2 warnings found.
------------------------------------------------------------------------

poudriere testport output and »setenv DEVELOPER yes; make clean;
make stage && make check-plist && make stage-qa && make package« output
will follow  shortly.

Thank you in advance for attending this!
 Kalten
Comment 1 Kalten 2015-10-10 20:29:02 UTC
Created attachment 161888 [details]
log: make.* output

setenv DEVELOPER yes ; make clean ; make stage && make check-plist && make stage-qa && make package
Comment 2 Kalten 2015-10-10 20:30:12 UTC
Created attachment 161889 [details]
log: poudriere testport output
Comment 3 Mathieu Arnold freebsd_committer 2015-10-21 13:43:08 UTC
You don't have to attach all those log files, saying "builds fine on 10.1/amd64" is enough.
Comment 4 commit-hook freebsd_committer 2015-10-21 14:17:10 UTC
A commit references this bug:

Author: mat
Date: Wed Oct 21 14:16:55 UTC 2015
New revision: 399915
URL: https://svnweb.freebsd.org/changeset/ports/399915

Log:
  Update to 4.8V.9.

  PR:		203687
  Submitted by:	maintainer
  Sponsored by:	Absolight

Changes:
  head/games/fairymax/Makefile
  head/games/fairymax/distinfo
  head/games/fairymax/pkg-plist
Comment 5 Kalten 2015-10-26 20:35:07 UTC
Hello Mathieu!

(In reply to Mathieu Arnold from comment #3)
> You don't have to attach all those log files, saying "builds fine on
> 10.1/amd64" is enough.
Well: there have been people in the past who wanted all three outputs…

Thank you for reworking the update and committing!

Regards,
 Kalten